[Launch]
ProgramExecutable=LINE\bin\LineLauncher.exe
;ProgramExecutable=LINE\LINE.exe
WaitForEXE1=crashReport.exe
WaitForEXE2=LINE.exe
WaitForEXE3=LinePlayer.exe
WaitForEXE4=LineUpdater.exe
WaitForEXE5=LineUpgrader.exe
;WaitForEXE=__.exe
DirectoryMoveOK=yes
;CleanTemp=true
;WorkingDirectory=%PAL:AppDir%\LINE\bin

; [Environment]
; PATH=%PATH%;%PAL:AppDir%\LINE\bin
;LINE_HOME=%PAL:DataDir%\settings

[Activate]
Registry=true

[RegistryKeys]
LINE=HKCU\Software\LINE Corporation\LINE
-=HKCU\SOFTWARE\Classes\line
-=HKCU\SOFTWARE\Classes\lineb
-=HKCU\Software\Naver\LINE
-=HKCU\Software\NHN Corporation\LINE
-=HKCU\Software\NHN Corporation\NaverMediaPlayer
-=HKCU\SOFTWARE\QtProject

[RegistryCleanupIfEmpty]
1=HKCU\Software\LINE Corporation
2=HKCU\Software\Naver
3=HKCU\Software\NHN Corporation

[RegistryValueWrite]
HKCU\Software\LINE Corporation\LINE\InstallDir=REG_SZ:%PAL:AppDir%\LINE\bin\4.8.0.1094
HKCU\Software\LINE Corporation\LINE\LauncherPath=REG_SZ:%PAL:AppDir%\LINE\bin\LineLauncher.exe
;this one is KEY:
HKCU\Software\LINE Corporation\LINE\InstallSystemVersion=1
;HKCU\Software\LINE Corporation\LINE\localeMig=Y
;HKCU\Software\Naver\LINE\InstallType=N

; HKCU\Software\LINE Corporation\LINE\Inatall Language: "1033"
; HKCU\Software\LINE Corporation\LINE\locale: "en-US"
; HKCU\Software\LINE Corporation\LINE\localeMig: "Y"
; HKCU\Software\LINE Corporation\LINE\InstallDir: "C:\Users\ThumbApps\AppData\Local\LINE\bin\4.7.0.1027"
; HKCU\Software\LINE Corporation\LINE\LauncherPath: "C:\Users\ThumbApps\AppData\Local\LINE\bin\LineLauncher.exe"
; HKCU\Software\LINE Corporation\LINE\InstallSystemVersion: "1"
; HKCU\Software\Naver\LINE\InstallType: "N"

[DirectoriesMove]
LINE=%LocalAppData%\LINE

;[FileWrite1]
;Type=Replace
;File=%PAL:DataDir%\settings\PaintNET64_portable.reg
;Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%
;Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%
